View a markdown version of this page

CreatePaymentConnector - Amazon Bedrock AgentCore Control Plane

CreatePaymentConnector

Creates a new payment connector for a payment manager. A payment connector integrates with a supported payment provider to enable payment processing capabilities.

Request Syntax

POST /payments/managers/paymentManagerId/connectors HTTP/1.1 Content-type: application/json { "clientToken": "string", "credentialProviderConfigurations": [ { ... } ], "description": "string", "name": "string", "type": "string" }

URI Request Parameters

The request uses the following URI parameters.

paymentManagerId

The unique identifier of the payment manager to create the connector for.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

credentialProviderConfigurations

The credential provider configurations for the payment connector. These configurations specify how the connector authenticates with the payment provider.

Type: Array of CredentialsProviderConfiguration objects

Array Members: Fixed number of 1 item.

Required: Yes

description

A description of the payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [a-zA-Z0-9\s]+

Required: No

name

The name of the payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

Required: Yes

type

The type of payment connector, which determines the payment provider integration.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Required: Yes

Response Syntax

HTTP/1.1 202 Content-type: application/json { "createdAt": "string", "credentialProviderConfigurations": [ { ... } ], "name": "string", "paymentConnectorId": "string", "paymentManagerId": "string", "status": "string", "type": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the payment connector was created.

Type: Timestamp

credentialProviderConfigurations

The credential provider configurations for the created payment connector.

Type: Array of CredentialsProviderConfiguration objects

Array Members: Fixed number of 1 item.

name

The name of the created payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

paymentConnectorId

The unique identifier of the created payment connector.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

paymentManagerId

The unique identifier of the parent payment manager.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

status

The current status of the payment connector. Possible values include CREATING, READY, UPDATING, DELETING, CREATE_FAILED, UPDATE_FAILED, and DELETE_FAILED.

Type: String

Valid Values: CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

type

The type of the created payment connector.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ServiceQuotaExceededException

This exception is thrown when a request is made beyond the service quota

HTTP Status Code: 402

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: